[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'libtar' (#fcl)

# TTarWriter.AddStream

Add stream contents to archive.

## Declaration

Source position: libtar.pp line 199

`public procedure TTarWriter.AddStream(`
`Stream: TStream;`
`TarFilename: AnsiString;`
`FileDateGmt: TDateTime`
`);`

## Arguments

`Stream` |  | Stream data to be added to archive
`TarFilename` |  | Archive entry name
`FileDateGmt` |  | Archive entry timestamp

## Description

AddStream will add the contents of Stream to the archive. The Stream will not be reset: only the contents of the stream from the current position will be written to the archive. The entry will be written with file name TarFileName. This name should contain only forward slash path separators. The entry will be written with timestamp FileDateGmt.

The archive entry is written with the current owner data and permissions.

## See also

TTarWriter.AddFile |  | Add a file to the archive
TTarWriter.AddString |  | Add string as file data
TTarWriter.AddLink |  | Add hard link to archive
TTarWriter.AddSymbolicLink |  | Add a symbolic link to the archive
TTarWriter.AddDir |  | Add directory to archive
TTarWriter.AddVolumeHeader |  | Add volume header entry

Documentation generated on: Feb 26 2014